package ink.wgink.module.activiti.pojo.pos.oa;

import java.io.Serializable;

/**
 * @ClassName: OaOnFilePO
 * @Description: 归档
 * @Author: wanggeng
 * @Date: 2022/5/13 09:51
 * @Version: 1.0
 */
public class OaOnFilePO implements Serializable {

    private Long id;
    private String onFileId;
    private String formCode;
    private Integer formVersion;
    private String processInstanceId;
    private String reportUid;
    private String mainTitle;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public Long getId() {
        return id == null ? 0 : id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOnFileId() {
        return onFileId == null ? "" : onFileId.trim();
    }

    public void setOnFileId(String onFileId) {
        this.onFileId = onFileId;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    public String getMainTitle() {
        return mainTitle == null ? "" : mainTitle.trim();
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
